// Official Men In Black Quickchats
//-------------------------------------------------------------------------

$chatType = "Main";

function toggleChatType(%theType)
{
  $chatType = %theType;
  echo($chatType);
}
newActionMap( gameActions );

bind(keyboard0, make, shift, "f1", TO, "toggleChatType(\"MaleDM\");");
bind(keyboard0, make, shift, "f2", TO, "toggleChatType(\"MaleCTF\");");
bind(keyboard0, make, shift, "f3", TO, "toggleChatType(\"MaleWAR\");");
bind(keyboard0, make, shift, "f4", TO, "toggleChatType(\"MaleGeneric\");");
bind(keyboard0, make, shift, "f5", TO, "toggleChatType(\"Main\");");
bind(keyboard0, make, shift, "f6", TO, "toggleChatType(\"Koke-Everybody\");");
bind(keyboard0, make, shift, "f7", TO, "toggleChatType(\"Koke-Target\");");
bind(keyboard0, make, shift, "f8", TO, "toggleChatType(\"PD1\");");
bind(keyboard0, make, shift, "f9", TO, "toggleChatType(\"PD2\");");
bind(keyboard0, make, shift, "f11", TO, "toggleChatType(\"PD3\");");
bind(keyboard0, make, shift, "8", TO, "toggleChatType(\"Raven\");");
bind(keyboard0, make, shift, "`", TO, "toggleChatType(\"Commands2\");");


//------------------------------------------------------------------------------        

function InitQuickChat()        
{       
   newObject( TauntsVol, SimVolume, "Taunts.vol" );     
}       

//------------------------------------------------------------------------------        

function QuickChat1()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "I make this look good.", "imakethislookgood.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "I'm gonna get some coffee. Do you want some coffee?", "coffee.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"Target eliminated.","C3_targeteliminated.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"Excellent//efficient.","C7_excellent.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"It's the Herc. Chicks dig the Herc!","MH_G3.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Taste your own medicine!","GEN_CAA05.wav");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Fire at will.","M0_TDM_fireatwill.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Out of Powder Sam.","ee_pd02.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Gettem Girls!","ee_pd06.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Rules of engagement Violated.","rules_violated.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"Maneuvering to engage enemy units.","MH_G1.WAV");
  else Say("Everybody",1,"War is stupid.","ee_pd37.WAV");
}

function QuickChat2()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "I feel like I'm gonna break this damn thing.", "breakthisdamnthing.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "We are the Men In Black.", "wearethemib.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"Eliminate human//animals.","C4_eliminateanimals.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"Target executed.","C7_targetexec.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Niiiceone!","M7_niiiceone.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"I joined the rebellion 'cause chicks love rebels. Ya know?","MH_G5.wav");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Hold fire.","M3_TDM_holdfire.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"OK partner, draw!","ee_pd03.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Is this the right setting?","ee_pd19.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"I found my thrill on blueberry hill.","M6_Saxon_ifoundmy.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"Fall back.","M3_TDM_fallback.wav");
  else Say("Everybody",1,"Luggage Detected!","ee_pd38.WAV");
}

function QuickChat3()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "See, now we need to work on your people skills.", "peopleskills.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "We work for a highly funded, yet unofficial government agency.", "weworkfor.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"Alert/alert/alert.","C5_alertalertalert.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"We//is your programming deficient?!","C7_weisyourprog.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Gonna burn you now scrub!","M7_gonnaburn.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Hahaa...Music to my ears!","M6_Saxon_musictomyears.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Follow me.","M3_TDM_followme.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Visualize mass destruction.","ee_pd04.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"That's gonna leave a mark.","ee_pd06a.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Wanna tip? Don't piss off your squadmates!","M8_Hunter_wannatip.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"All units form on my signal.","M5_TDM_allunitsf.WAV");
  else Say("Everybody",1,"Hot! Oww oww!","ee_pd39.WAV");
}

function QuickChat4()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "Alright, I'm in.", "imin.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "Our mission is to monitor extraterrestrial activity on Earth.", "ourmission.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"Success is the sole judge of right and wrong.","C2_success.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"You//you are the next.","C1_youarethenext.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"I get it, you're an imperial spy!","GEN_HAR05.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"*whistle*","M6_Saxon_whistle.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Stay here.","M0_TDM_stayhere.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"They busted out of a station!","ee_pd28.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Doesn't look like Kansas Toto.","ee_pd05.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Entering repair bay.","repair_ent.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Spread out.","M0_TDM_spreadout.wav");
  else Say("Everybody",1,"Anyone seen my sensor pod?","ee_pd40.WAV");
}

function QuickChat5()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "I'm telling you, that man does not look stable!", "stable.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "From now on, you will have no identifying marks of any kind.", "noidentifyingmarks.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"Human//animals are fascinating.","C5_humansfascin.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"I wish to dissect human//animals.","C5_iwishtodisect.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Fine, you want some?","GEN_HAR08.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Yeah! Boom-baby-boom! hahah.","M6_Saxon_yeahboom.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Cover me!","M2_WAR_coverme.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Gilligan...","ee_pd25.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Need more gibblets.","ee_pd01.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Entering reload bay.","reload_ent.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Check yer six.","M2_WAR_checkyersix.wav");
  else Say("Everybody",1,"Happiness is a bunch of smokin human steaks.","ee_pd43.WAV");
}

function QuickChat6()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "No thank you, I'm fine.", "nothankyou.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "You are no longer part of the system.", "partofthesystem.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"Shoot to cripple.","C5_shoottocripple.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"Not so different from insects...","C5_notsodifferent.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Hey! Finger off the trigger!","GEN_HAR03.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Stay frosty people.","M3_TDM_stayfrosty.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Outta my way.","M0_TDM_outtamy.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Extra Crispy!","ee_pd22.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Holding Test Pattern.","ee_pd23.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Enemy structure destroyed.","ene_struct_dest.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Turrets are history.","M0_TDM_turretsare.wav");
  else Say("Everybody",1,"Area wipe Initiated","ee_pd42.WAV");
}

function QuickChat7()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "You know how to use these things?", "usethesethings.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "Men In Black. Protecting the earth from the scum of the universe.", "protectingtheearth.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"Storing data for later rerieval.","C5_storingdata.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"\\pbbbbbt\\.","C5_pbbbbbt.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Bring it on!","F4_Tiger_bringiton.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"So you're the one who killed my brother...","MH_T1.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Here they come.","M0_TDM_herethey.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Yes...Oh Great Diode...","ee_pd24.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Who luvs ya?","ee_pd15.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Friendly structure destroyed.","friend_struct_des.wav");
  else if ($chatType == "Commands2") Say("Everybody",1,"Go heal up.","M3_TDM_gohealup.wav");
  else Say("Everybody",1,"We've got a base.","ee_pd08.WAV");
}

function QuickChat8()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "Hey! What's up?", "heywhatsup.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "You are all here because you are the best of the best, and we're looking for one of you.", "riptorn2.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"What is taste?","C5_whatistaste.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"\\11001001001011101\\","C6_hwawach.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"You think you're something?! Well eat this!","MH_T3.WAV");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"My gear is stuck in reverse!","MH_G6.wav");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"There's too many of them.","M0_TDM_therestoo.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Stay in that order.","ee_pd26.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Huh. Seem to have destroyed you. Sorry.","ee_pd36.WAV");
  else if ($chatType == "Raven") Say("Everybody",1,"Death is irrelevant.","M9_Delta6_deathis.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"No problem.","M11_noproblem.WAV");
  else Say("Everybody",1,"I'm really sorry about that.","ee_pd20.WAV");
}

function QuickChat9()
{
  if ($chatType == "MaleDM") Say("Everybody", 1, "I knew it! This is an alien and you guys are from some government agency trying to keep it under wraps.", "iknewit.wav");
  else if ($chatType == "MaleCTF") Say("Everybody", 1, "Do you have any idea how much that stings!?", "stings.wav");
  else if ($chatType == "MaleWAR") Say("Everybody",1,"You need redactive programming!","C6_youneedredact.WAV");
  else if ($chatType == "MaleGeneric") Say("Everybody",1,"Fascinating.","C7_fascinating.WAV");
  else if ($chatType == "Main") Say("Everybody",1,"Hurts real bad don't it?","F2_DM_hurtsrealbad.wav");
  else if ($chatType == "Koke-Everybody") Say("Everybody",1,"Who's my new daddy?","ee_pd44.WAV");
  else if ($chatType == "Koke-Target") Say("Everybody",1,"Help! I need a little help here.","M3_TDM_helpIneed.wav");
  else if ($chatType == "PD1") Say("Everybody",1,"Run away, run away!!","ee_pd32.WAV");
  else if ($chatType == "PD2") Say("Everybody",1,"Anyone seen my sensor pod?","ee_pd40.WAV");  else if ($chatType == "Raven") Say("Everybody",1,"Weapon destroyed.","cy_Weap_dest.WAV");
  else if ($chatType == "Commands2") Say("Everybody",1,"Don't shoot! I'm on your side.","M3_TDM_dontshoot.wav");
  else Say("Everybody",1,"Oh thank you.","ee_pd27.WAV");
}